;Wrappers functions provided for easy access to the Windows Registry
;Author: Shantanu Gadgil
;If you include this in your project,
;you will need to link against the following:
;advapi32.lib	-> for the actual Reg... APIs
;shwapi.lib	-> for the SHDeleteKey API
;- Enjoy!

ifndef	__REGISTRY_INC
__REGISTRY_INC	equ	<1>

Registry_DeleteKey              	PROTO	:HKEY,:LPCTSTR,:LPCTSTR

Registry_DeleteValue            	PROTO	:HKEY,:LPCTSTR,:LPCTSTR

;dwDataType is one of: REG_DWORD, REG_SZ, REG_EXPAND_SZ, etc.
;It has been tested for the above, should work for others too!!! :)
Registry_ReadValue              	PROTO	:HKEY,:LPCTSTR,:LPCTSTR,:LPBYTE,:DWORD

Registry_WriteDword             	PROTO	:HKEY,:LPCTSTR,:LPCTSTR,:DWORD

Registry_WriteString            	PROTO	:HKEY,:LPCTSTR,:LPCTSTR,:LPCTSTR

.const
MAX_SZEXPAND_LENGTH		equ	1024
HKCR				equ	HKEY_CLASSES_ROOT
HKCU				equ	HKEY_CURRENT_USER
HKLM				equ	HKEY_LOCAL_MACHINE
REGISTRY_OPERATION_SUCCESS	equ	0
REGISTRY_OPEN_FAILED		equ	1
REGISTRY_QUERY_INITIAL_FAILED	equ	2
REGISTRY_MISMATCH_FAILED	equ	3
REGISTRY_QUERY_ACTUAL_FAILED	equ	4
REGISTRY_CLOSE_FAILED		equ	5
REGISTRY_CREATE_FAILED		equ	6
REGISTRY_SETVALUE_FAILED	equ	7
REGISTRY_DELETE_FAILED		equ	8

endif	;__REGISTRY_INC
